Package Details: rtl8821ce-dkms-git 1.0.5.r36.gca4abd8-1

Git Clone URL: https://aur.archlinux.org/rtl8821ce-dkms-git.git (read-only, click to copy)
Package Base: rtl8821ce-dkms-git
Description: rtl8821CE driver with firmware
Upstream URL: https://github.com/tomaspinho/rtl8821ce
Keywords: dkms git rtl8821ce
Licenses: GPL2
Conflicts: rtl8821ce
Submitter: tomaspinho
Maintainer: tomaspinho
Last Packager: tomaspinho
Votes: 22
Popularity: 4.23
First Submitted: 2018-03-04 12:12
Last Updated: 2019-12-22 19:26

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7

tomaspinho commented on 2019-01-25 17:08

@swillber this had already been fixed upstream (master branch), but I forgot to bump the version in AUR. Sorry! Could you try again?

swillber commented on 2019-01-25 16:48

Getting a build error since the release of kernel 4.20 before that it was fine. Many thanks for providing this. Don't know if it's directly due kernel changes or something else that's changed because of the new kernel release. Is this the right place to report this or if I should feedback via github?

Here's an extract from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/make.log that has the only error message I can see...

CC [M] /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/rtw_android.o In file included from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/drv_types.h:35, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/wifi_regd.c:7: /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/wifi.h:1019: warning: "IEEE80211_MAX_AMPDU_BUF" redefined #define IEEE80211_MAX_AMPDU_BUF 0x40

In file included from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/osdep_service_linux.h:86, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/osdep_service.h:48, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/drv_types.h:32, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/wifi_regd.c:7: ./include/linux/ieee80211.h:1442: note: this is the location of the previous definition #define IEEE80211_MAX_AMPDU_BUF 0x100

In file included from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/drv_types.h:35, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/rtw_cfgvendor.c:21: /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/wifi.h:1019: warning: "IEEE80211_MAX_AMPDU_BUF" redefined #define IEEE80211_MAX_AMPDU_BUF 0x40

In file included from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/osdep_service_linux.h:86, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/osdep_service.h:48, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/include/drv_types.h:32, from /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/rtw_cfgvendor.c:21: ./include/linux/ieee80211.h:1442: note: this is the location of the previous definition #define IEEE80211_MAX_AMPDU_BUF 0x100

/var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/ioctl_cfg80211.c: In function ‘rtw_get_systime_us’: /var/lib/dkms/rtl8821ce/1.0.1.r18.g8c9149a/build/os_dep/linux/ioctl_cfg80211.c:339:2: error: implicit declaration of function ‘get_monotonic_boottime’; did you mean ‘getboottime’? [-Werror=implicit-function-declaration] get_monotonic_boottime(&ts); ^~~~~~~~~~~~~~~~~~~~~~ getboottime

Many thanks.

tomaspinho commented on 2018-09-20 16:01

Bumped up the package version to force an upgrade to the latest code in the upstream git repo, which is now compatible with Linux 4.19.

tomaspinho commented on 2018-04-10 15:02

@dracut, thanks for the praise and feedback! I was solving my own problem with the exact same laptop model :)

dracut commented on 2018-04-09 07:10

It works for Lenovo e470 (RTL8821CE 802.11ac PCIe Wireless Network Adapter). Finally I can remove USB WiFi adapter and use built-in. Thank you for your work!